#' Time series of three-dimensional chaotic sytems
#' (for vignette \code{VII_Retro-Modelling})
#'
#' @name TSallMod_nVar3_dMax2 data set
#' @docType data
#'
#' @encoding UTF-8
#' @description  A list of matrix providing the time series
#' in a list named \code{TSallMod_nVar3_dMax2} of eighteen
#' three-dimensional chaotic systems:
#' Lorenz-1963 ($L63), Rössler-1976 ($R76), Burke & shaw 1981 ($BS81),
#' Lorenz-1984 ($L84), Nosé & Hooer 1986 ($NH86), Genesio & Tosi 1992 ($GT92),
#' Spott systems 1994 ($SprF, $SprH, $SprK, $SprO, $SprP, $SprG,
#' $SprM, $SprQ, $SprS),
#' Chlouverakis & Sprott 2004 ($CS2004), Li 2007 ($Li2007)
#' and the Cord system by Aguirre & Letellier 2012 ($Cord2012).
#' Time series are provided in a matrix in which
#' each column corresponds to one variable of the dynamical systems.
#'
#' @author Sylvain Mangiarotti, Mireille Huc.
#'
#' @references  References for the systems are provided
#' in vignette `VII_retro-modelling`.
#'
#' @keywords data
"TSallMod_nVar3_dMax2"
